// Copyright (C) 2008 - INRIA
// Copyright (C) 2009-2011 - DIGITEO

// This file is released under the 3-clause BSD license. See COPYING-BSD.

mode(-1);
lines(0);

function main_builder()

    TOOLBOX_NAME  = "BTD";
    TOOLBOX_TITLE = "Bioinformatics from DCB";
    toolbox_dir   = get_absolute_file_path("builder.sce");

    // Check Scilab's version
    // =============================================================================

    try
        v = getversion("scilab");
        v = v(1) + v(2)/10 + v(3)/100
    catch
        error(gettext("Scilab 5.3 or more is required."));
    end

    if v < 5.3 then
        // new API in scilab 5.3
        error(gettext("Scilab 5.3 or more is required."));
    end

    // Check modules_manager module availability
    // =============================================================================

    if ~isdef("tbx_build_loader") then
        error(msprintf(gettext("%s module not installed."), "modules_manager"));
    end

    // Action
    // =============================================================================
    // Building macros
    if v(1)<6 then
        genlib("BTDlib", pathconvert(toolbox_dir+"/macros"), %t);
    else
        tbx_builder_macros(toolbox_dir);
    end

    // Building the Java library
    tbx_builder_src(toolbox_dir);

    // Building help pages
    BTDlib = lib(fullfile(toolbox_dir, "macros")) // for <scilab:image> tags
    tbx_builder_help(toolbox_dir);

    if v(1)>5 then
        tbx_build_loader(toolbox_dir);
        tbx_build_cleaner(toolbox_dir);
    else
        tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
        tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
    end
endfunction
// =============================================================================
main_builder();
clear main_builder; // remove main_builder on stack
// =============================================================================


