function seq = btd_getembl(n, filename)
   // Get EMBL
  // 
  // Calling Sequence
  //    btd_getembl ( x )
  //    btd_getembl ( x , filename)
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   filename: path and name of the returned file
  //   
  // 
  // Description
  // Retrieve sequence information from EMBL database
  // 
  // Examples
  //  btd_getembl('X00558')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015
  // Dr. Samuel GOUGEON, 2018
    
    out(1) = 'http://www.ebi.ac.uk/Tools/dbfetch/dbfetch?db=EMBL&id=';
    out(2) = string(n);
    out(3) = '&download=txt';
    inseq = strcat(out);
    if isdef("filename","l") then
        if isdir(filename)
            filename = filename + "/embl_"+out(2)+".html"
        end
        seq = getURL(inseq, filename);
    else
        seq = getURL(inseq);
    end
endfunction
