function seq = btd_getgenbank(n, filename)
  // Get GenBank
  // 
  // Calling Sequence
  //    btd_getgenbank ( x )
  //    btd_getgenbank( x , filename)
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   filename: path and name of the returned file
  // 
  // Description
  // Retrieve sequence information from GenBank database
  // 
  // Examples
  //  btd_getgenbank('M10051')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015
  // Dr. Samuel GOUGEON, 2018

    out(1) = 'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi?db=nuccore&id=';
    out(2) = string(n);
    out(3) = '&rettype=gb&retmode=text';
    inseq = strcat(out);
    if isdef("filename","l") then
        if isdir(filename)
            filename = filename + "/genbank_"+out(2)+".txt"
        end
        seq = getURL(inseq, filename);
    else
        seq = getURL(inseq);
    end
endfunction
