function seq = btd_getpdb(n, filename)
  // Get GenPDB
  // 
  // Calling Sequence
  //    btd_getpdb ( x )
  //    btd_getpdb ( x , filename)
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   filename: path and name of the returned file
  //   
  // 
  // Description
  // Retrieve protein structure data from Protein Data Bank (PDB) database
  // 
  // Examples
  //  btd_getpdb('5CYT')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, 2015
  // Dr. Samuel GOUGEON, 2018

    out(1) = 'http://www.rcsb.org/pdb/downloadFile.do?fileFormat=pdb&compression=NO&structureId=';
    out(2) = string(n);
    //out(3) = '&download=txt';
    inseq = strcat(out);
    if isdef("filename","l") then
        if isdir(filename)
            filename = filename + "/pdb_"+out(2)+".txt"
        end
        seq = getURL(inseq, filename);
    else
        seq = getURL(inseq);
    end
endfunction



