function seq = btd_getuniprot(n, filename)
    
    
  // Get GenUniport
  // 
  // Calling Sequence
  //    btd_getPDB ( x )
  //    btd_getPDB ( x, filename )
  // 
  // Parameters
  //   x : Unique identifier for a sequence record
  //   filename: path and name of the file where to store the
  //             query answer
  // 
  // Description
  // Retrieve sequence information from UniProt database
  // 
  // Examples
  //  btd_getPDB('P31946')
  //
  // Authors
  // Dr.Achuthsankar S Nair, Dr. Umesh P, Deepthi S, Priyadharshini K, 2015
  // Dr. Samuel GOUGEON, 2018

    out(1) = 'http://www.uniprot.org/uniprot/';
    out(2) = string(n);
    //out(3) = '&download=txt';
    inseq = strcat(out);
    if isdef("filename","l") then
        if isdir(filename)
            filename = filename + "/uniprot_"+out(2)+".html"
        end
        seq = getURL(inseq, filename);
    else
        seq = getURL(inseq);
    end
endfunction
